<?php
/**
 * @version		$Id: Reflection.php 10714 2008-08-21 10:10:14Z eddieajau $
 * @package		Joomla
 * @subpackage	Content
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

?>

<script src="<?php echo JURI::root(); ?>plugins/content/reflection/reflection.js" language="JavaScript1.2"></script>

<?php

class plgContentReflection extends JPlugin
{

	/**
	 * Constructor

	 */
	function plgContentReflection( &$subject, $params )
	{
		parent::__construct( $subject, $params );
	}

	/**
	 * Reflection prepare content method
	 * Method is called by the view
	 */
	function onPrepareContent( &$article, &$params, $limitstart )
	{
		global $mainframe;

	}

	/**
	 * Reflection after display title method
	 * Method is called by the view and the results are imploded and displayed in a placeholder
	 */
	function onAfterDisplayTitle( &$article, &$params, $limitstart )
	{
		global $mainframe;

		return '';
	}

	/**
	 * Reflection before display content method
	 * Method is called by the view and the results are imploded and displayed in a placeholder
	 */
	function onBeforeDisplayContent( &$article, &$params, $limitstart )
	{
		global $mainframe;

		return '';
	}

	/**
	 * Reflection after display content method
	 * Method is called by the view and the results are imploded and displayed in a placeholder
	 */
	function onAfterDisplayContent( &$article, &$params, $limitstart )
	{
		global $mainframe;

		return '';
	}

	/**
	 * Reflection before save content method
	 * Method is called right before content is saved into the database.
	 */
	function onBeforeContentSave( &$article, $isNew )
	{
		global $mainframe;

		return true;
	}

	/**
	 * Reflection after save content method
	 * Article is passed by reference, but after the save, so no changes will be saved.
	 * Method is called right after the content is saved
	 */
	function onAfterContentSave( &$article, $isNew )
	{
		global $mainframe;

		return true;
	}

}
